<?php
/**
 * Header file for the NewsFor WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package NewsFor
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if (function_exists('wp_body_open')) {
    wp_body_open();
} ?>

<div id="page" class="hfeed site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to the content', 'newsfor'); ?></a>
    <?php 
        $newsfor_default = newsfor_get_default_theme_options();
        $ed_header_subscription_news = get_theme_mod('ed_header_subscription_news', $newsfor_default['ed_header_subscription_news']);
        $ed_header_subscription_posts_title = get_theme_mod('ed_header_subscription_posts_title', $newsfor_default['ed_header_subscription_posts_title']);
        $header_subscription_image = get_theme_mod('header_subscription_image');
        $ed_header_subscription_shortcode = get_theme_mod('ed_header_subscription_shortcode');

        ?>
    <?php if ($ed_header_subscription_news) { ?>
        <div class="theme-modal">

            <div class="theme-modal-content">

                <a href="" class='theme-modal-close'>
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path id="x" d="M18.717 6.697l-1.414-1.414-5.303 5.303-5.303-5.303-1.414 1.414 5.303 5.303-5.303 5.303 1.414 1.414 5.303-5.303 5.303 5.303 1.414-1.414-5.303-5.303z"/></svg>
                </a>

                <div class="theme-modal-image data-bg data-bg-big" data-background = '<?php echo esc_url($header_subscription_image); ?>'></div>

                <div class="theme-modal-detail">
                    <h2 class="entry-title- entry-title-medium">
                        <?php echo esc_html($ed_header_subscription_posts_title); ?>
                    </h2>
                    <?php echo do_shortcode( $ed_header_subscription_shortcode); ?>
                </div>

            </div>


        </div>
    <?php } ?>
    

    <?php newsfor_header_ad(); ?>

    <?php get_template_part('template-parts/header/header', 'content'); ?>
    
    <?php newsfor_header_banner(); ?>
    
    <div id="content" class="site-content">
        <div class="wrapper">
            <div class="column-row">
                <div class="column column-12">

               
        
             <div class="theme-ticker theme-block">
                <div class="column-row">
                    <div class="column column-12">
                        <?php newsfor_header_ticker_posts(); ?>
                    </div>
                </div>
            </div>