<?php
/**
 * Pagination Settings
 *
 * @package NewsFor
 */

$newsfor_default = newsfor_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'newsfor_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'newsfor' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'newsfor_pagination_layout',
	array(
	'default'           => $newsfor_default['newsfor_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'newsfor_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'newsfor' ),
	'section'     => 'newsfor_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','newsfor'),
		'numeric' => esc_html__('Numeric Method','newsfor'),
		'load-more' => esc_html__('Ajax Load More Button','newsfor'),
		'auto-load' => esc_html__('Ajax Auto Load','newsfor'),
	),
	)
);